import dataclasses as dc

from armarx_skills.callback import dto

from armarx_memory.ice_conv.ice_converter import IceConverter

@dc.dataclass
class ProviderID:
    provider_name: str


class ProviderIDConv(IceConverter):

    @classmethod
    def _import_dto(cls):
        return dto.ProviderID

    def _from_ice(self, dt: dto.ProviderID) -> ProviderID:
        return ProviderID(provider_name=dt.providerName)

    def _to_ice(self, bo: ProviderID) -> dto.ProviderID:
        return dto.ProviderID(providerName=bo.provider_name)

