from armarx_skills.callback import dti, dto
from armarx_skills.provider import dto as provider_dto
from armarx_skills.callback.provider_id import ProviderID, ProviderIDConv

from armarx_skills.provider.skill_status_update import SkillStatusUpdate, SkillStatusUpdateConv


class SkillProviderCallback:

    def __init__(
            self,
            proxy: dti.SkillProviderCallbackInterfacePrx = None,
    ):
        self.proxy = proxy

        self.skill_status_update_conv = SkillStatusUpdateConv()
        self.provider_id_conv = ProviderIDConv()


    def update_status_for_skill(
            self,
            status_update: SkillStatusUpdate,
            provider_id: ProviderID,
    ) -> None:
        status_update_ice = self.skill_status_update_conv.to_ice(status_update)
        provider_id_ice = self.provider_id_conv.to_ice(provider_id)
        return self.update_status_for_skill_ice(
            status_update=status_update_ice,
            provider_id=provider_id_ice,
        )

    def update_status_for_skill_ice(
            self,
            status_update: provider_dto.SkillStatusUpdate,
            provider_id: dto.ProviderID,
    ) -> None:
        return self.proxy.updateStatusForSkill(
            statusUpdate=status_update,
            providerId=provider_id,
        )
