import dataclasses as dc

from armarx_memory.ice_conv.ice_converter import IceConverter
from armarx_skills.provider import dto


@dc.dataclass
class ParameterUpdateResult:
    success: bool



class ParameterUpdateResultConv(IceConverter):

    @classmethod
    def _import_dto(cls):
        return dto.ParameterUpdateResult

    def _from_ice(self, dt: dto.ParameterUpdateResult) -> ParameterUpdateResult:
        return ParameterUpdateResult(
            success=dt.success,
        )

    def _to_ice(self, bo: ParameterUpdateResult) -> dto.ParameterUpdateResult:
        return dto.ParameterUpdateResult(
            success=bo.success,
        )
